foundation-0.0.30: Alternative prelude with batteries and no dependencies

License | BSD-style
Maintainer | Foundation
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Foundation.IO.Terminal

Description

Synopsis

- putStrLn :: String -> IO ()
- putStr :: String -> IO ()
- stdin :: Handle
- stdout :: Handle
- getArgs :: IO [String]
- exitFailure :: IO a
- exitSuccess :: IO a

# Documentation

putStrLn :: String -> IO () #

Print a string with a newline to standard output

putStr :: String -> IO () #

Print a string to standard output

stdin :: Handle #

stdout :: Handle #

getArgs :: IO [String] #

Get the arguments from the terminal command

exitFailure :: IO a #

The computation `exitFailure` is equivalent to `exitWith` `(``ExitFailure` exitfail`)`, where exitfail is implementation-dependent.

exitSuccess :: IO a #

The computation `exitSuccess` is equivalent to `exitWith` `ExitSuccess`, It terminates the program successfully.